Subject: RE: Comments draft-ietf-isis-igp-p2p-over-lan-01.txt

From: Jeff Parker <[email-masked]>
Date: Fri, 21 Mar 2003 15:33:03 -0500

> ] Isn't the break-even point above three?  With three 
> ] routers, the LAN version has 3 x 2 directed links, 
> ] as does the p2p scheme, but the LAN version has an
> ] additional PNode LSP, so the p2p scheme is still better.
> 
> Well, this is not meant to count exact nodes on a LAN for 
> the benefits.   This scheme is only meant for two nodes 
> on a LAN/vLAN. if you have more than two nodes:
> 
>  - you have to introduce vLAN into the picture
>  - if you have three nodes, then it's possible also to have 
> the 4th node,
>    and 5th node later on, etc. so if the LAN/vLAN is not meant to use
>    by only two nodes(in the case of back-to-back ethernet cabling, for
>    example), then operators probably should not be bothered with this
>    scheme.

Naiming - 
	I agree with your analysis, and I think the proposal is a good idea.
	However, the document makes a claim which I don't think is quite 
right.  You don't want people to be able to use a mistake that has no
bearing on your idea to discredit the whole draft.  

>  ] "If all the vLANs are withing a single OSPF area or IS-IS 
> level, there is no
>  ] particular advantage to using this scheme."
> 
> the above sentence didn't translate into the original intention of the
> paragraph. ...
> 
>    if people are running hierarchical level/area, then the link-state
>    database may not be very large, such the operator may decide to
>    run full-mesh p2p over the LAN if there is some other compelling
>    reasons.
> 
> one of the reason to run full-mesh p2p circuits over the LAN media
> would be to have fine control of link cost to each neighbor rather
> than use the single cost for all the neighbors over the LAN.
> 
> we can change this into: "The negative scalability impact is ..."...
> 
> - Naiming
 
My problem was really with the terms "scalability" (you have
just finished a discussion of places in which p2p is more
scalable, vs places where bcast is more scalable) and
"impact", which are ambiguous.  A fuller statement,
such as the paragraph you suggested, would be clearer.    

- jeff parker